package com.qianhe.service;

import com.qianhe.common.core.domain.TreeSelect;
import com.qianhe.common.core.domain.entity.SysDept;
import com.qianhe.domain.SjBfzbfdx;
import com.qianhe.domain.SjBfzwh;

import java.util.List;


/**
 * 三基帮扶组维护Service接口
 *
 * @author qianhe
 * @date 2024-08-31
 */
public interface ISjBfzwhService
{
    /**
     * 查询三基帮扶组维护
     *
     * @param id 三基帮扶组维护主键
     * @return 三基帮扶组维护
     */
    public SjBfzwh selectSjBfzwhById(Long id);

    public SjBfzwh selectbfz(String lxr);

    /**
     * 查询三基帮扶组维护列表
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 三基帮扶组维护集合
     */
    public List<SjBfzwh> selectSjBfzwhList(SjBfzwh sjBfzwh);

    /**
     * 新增三基帮扶组维护
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int insertSjBfzwh(SjBfzwh sjBfzwh);

    /**
     * 修改三基帮扶组维护
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int updateSjBfzwh(SjBfzwh sjBfzwh);

    /**
     * 批量删除三基帮扶组维护
     *
     * @param ids 需要删除的三基帮扶组维护主键集合
     * @return 结果
     */
    public int deleteSjBfzwhByIds(Long[] ids);

    /**
     * 删除三基帮扶组维护信息
     *
     * @param id 三基帮扶组维护主键
     * @return 结果
     */
    public int deleteSjBfzwhById(Long id);


    /**
     * 查询三基帮扶组帮扶对象
     *
     * @param id 三基帮扶组维护主键
     * @return 三基帮扶组维护
     */
    public List<Long>  selectBfdxListByBfz(Long id);

    /**
     * 构建前端所需要下拉树结构
     *
     * @param depts 单位列表
     * @return 下拉树结构列表
     */
    public List<TreeSelect> buildBfdwTreeSelect(List<SysDept> depts);
    public List<SysDept> buildBfdwxTree(List<SysDept> menus);

    public List<SjBfzbfdx>  selectBfdxlist(SjBfzbfdx sjBfzbfdx);
}
